## org.apache.batik.css.engine.value
Interface Value

All Known Subinterfaces:
  SVGValue

All Known Implementing Classes:
  AbstractValue, ComputedValue, FloatValue, ICCColor, InheritValue, LineHeightValue, ListValue, RectValue, RGBColorValue, StringValue, URIValue

    public interface Value

This interface represents a property value.

Method Summary
`Value` `getBlue()` The blue value of the RGB color.
`Value` `getBottom()` The bottom value of the rect.
`java.lang.String` `getCssText()` A string representation of the current value.
`short` `getCssValueType()` A code defining the type of the value.
`float` `getFloatValue()` This method is used to get the float value.
`Value` `getGreen()` The green value of the RGB color.
`java.lang.String` `getIdentifier()` The identifier value of the counter.
`Value` `getLeft()` The left value of the rect.
`int` `getLength()` The number of `CSSValues` in the list.
`java.lang.String` `getListStyle()` The listStyle value of the counter.
`short` `getPrimitiveType()` The type of the value.
`Value` `getRed()` The red value of the RGB color.
`Value` `getRight()` The right value of the rect.
`java.lang.String` `getSeparator()` The separator value of the counter.
`java.lang.String` `getStringValue()` This method is used to get the string value.
`Value` `getTop()` The top value of the rect.
`Value` `item(int index)` Used to retrieve a rule by ordinal index.

Method Detail

### getCssText

    java.lang.String getCssText()

  A string representation of the current value.

### getCssValueType

    short getCssValueType()

  A code defining the type of the value.

### getPrimitiveType

    short getPrimitiveType()

  The type of the value.

### getFloatValue

    float getFloatValue()
                        throws org.w3c.dom.DOMException

  This method is used to get the float value.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a float value.

### getStringValue

    java.lang.String getStringValue()
                                    throws org.w3c.dom.DOMException

  This method is used to get the string value.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a string value.

### getRed

    Value getRed()
                 throws org.w3c.dom.DOMException

  The red value of the RGB color.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getGreen

    Value getGreen()
                   throws org.w3c.dom.DOMException

  The green value of the RGB color.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getBlue

    Value getBlue()
                  throws org.w3c.dom.DOMException

  The blue value of the RGB color.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a RGB color value.

### getLength

    int getLength()
                  throws org.w3c.dom.DOMException

  The number of `CSSValues` in the list. The range of valid values of the indices is `0` to `length-1` inclusive.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### item

    Value item(int index)
               throws org.w3c.dom.DOMException

  Used to retrieve a rule by ordinal index.

  Returns:
    The style rule at the `index` position in the list, or `null` if that is not a valid index.
  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a list value.

### getTop

    Value getTop()
                 throws org.w3c.dom.DOMException

  The top value of the rect.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getRight

    Value getRight()
                   throws org.w3c.dom.DOMException

  The right value of the rect.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getBottom

    Value getBottom()
                    throws org.w3c.dom.DOMException

  The bottom value of the rect.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getLeft

    Value getLeft()
                  throws org.w3c.dom.DOMException

  The left value of the rect.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Rect value.

### getIdentifier

    java.lang.String getIdentifier()
                                   throws org.w3c.dom.DOMException

  The identifier value of the counter.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getListStyle

    java.lang.String getListStyle()
                                  throws org.w3c.dom.DOMException

  The listStyle value of the counter.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

### getSeparator

    java.lang.String getSeparator()
                                  throws org.w3c.dom.DOMException

  The separator value of the counter.

  Throws:
    `org.w3c.dom.DOMException` - INVALID_ACCESS_ERR: Raised if the value doesn't contain a Counter value.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.